#include <stdio.h>
#include <stdlib.h>

void readVector(int vector[],int dim);
void printVector(int vector[], int dim);
int scalarProduct(int vector1[],int vector2[],int dim);

int main()
{
    int n;
    printf("Zadejte dimenzi vektoroveho prostoru:");
    scanf("%d",&n);
    int vector1[n],vector2[n];
    printf("Zadejte slozky 1. vektoru oddelene mezerou:\n");
    readVector(vector1,n);
    printf("Zadejte slozky 2. vektoru oddelene mezerou:\n");
    readVector(vector2,n);
    printVector(vector1,n);
    printf("*");
    printVector(vector2,n);
    printf("=%d\n",scalarProduct(vector1,vector2,n));
    return 0;
}
void readVector(int vector[],int dim)
{
    for(int i=0;i<dim;i++){
        scanf("%d",&vector[i]);
    }
}

void printVector(int vector[], int dim)
{
    printf("(");
    for(int i=0;i<dim-1;i++){
        printf("%d, ",vector[i]);
    }
    printf("%d)",vector[dim-1]);
}

int scalarProduct(int vector1[],int vector2[],int dim)
{
    int product = 0;
    for(int i=0; i<dim; i++){
        product += vector1[i] * vector2[i];
    }
    return product;
}
