#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

void readText(char text[],int maxLen);
int isPalindrom(char text[]);
int checkPalindrom(char text[]);
void normalize(char text[],char normalized[]);

int main()
{
    char text[1025];
    printf("Zadejte text:\n");
    readText(text,1024);
    printf("%s %s palindrom.\n",
           text,
           (isPalindrom(text)?"je":"neni")
           );
    printf("-1%5=%d\n",-1%5);
    return 0;
}

void readText(char text[],int maxLen){
   fgets(text,maxLen,stdin);
   char *nl = strchr(text,'\n');
   if(nl!=NULL){
      *nl='\0';
   }else{
      char c= getchar();
      while(c!='\n'){
        c=getchar();
      }
   }

}

int isPalindrom(char text[]){
    char normalized[strlen(text)+1];
    normalize(text,normalized);
    return checkPalindrom(normalized);
}

void normalize(char text[],char normalized[])
{
    int j=0 , len = strlen(text);
    for(int i=0;i < len;i++){
        if(isalpha(text[i])){
            normalized[j++] = tolower(text[i]);
        }
    }
    normalized[j]='\0';
}

int checkPalindrom(char text[]){
    int isPalindrom = 1;
    for(unsigned i=0;i<strlen(text) && isPalindrom; i++){
        isPalindrom = text[i] == text[strlen(text)-i-1];
    }
    return isPalindrom;
}
